For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add an item to a receivement

Add an item to a receivement.

Required permissions: RECEIVEMENT

post
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Body

If you need to receive more than one quantity for items that required serialnumber you need to add one line for each serialnumber.

Example: You are going to receive 3 stk of purchaseorderItemUid 33, then you need to add 3 ReceivementItemCreate lines with quantity 1 and the serialnumber for each item.

externalIdstringOptional

External reference to receivement line

purchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
quantityintegerRequired
serialnumberstringOptional
unitCostintegerOptional

The unit cost price in local currency

notestringOptional
receivementItemUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
externalIdstringRequired

External reference to receivement line

lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
purchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
quantityintegerRequired
unitPriceintegerOptionalDeprecated

Deprecated: Use unitcost instead

unitCostintegerOptional
receivementItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
serialnumberstringOptional
statusstringRequired
notestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]*
tenantUserDisplayNamestringRequired

The display name of the user that made the receivement

post/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items
POST /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 200

{
  "externalId": "text",
  "purchaseOrderItemUid": "text",
  "quantity": 1,
  "serialnumber": "text",
  "unitCost": 1,
  "note": "text",
  "reservations": [
    {
      "orderUid": "text",
      "orderItemUid": "text"
    }
  ],
  "receivementItemUid": "text"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "externalId": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "product": {
    "productUid": "text",
    "name": "text",
    "sku": "text"
  },
  "purchaseOrderItemUid": "text",
  "quantity": 1,
  "unitCost": 1,
  "receivementItemUid": "text",
  "serialnumber": "text",
  "status": "text",
  "note": "text",
  "tenantUserUid": "text",
  "tenantUserDisplayName": "text",
  "reservations": [
    {
      "orderUid": "text",
      "orderItemUid": "text",
      "orderNumber": "text",
      "quantity": 1,
      "reservationType": "NONE"
    }
  ]
}

Last updated

Was this helpful?